/*******************************************************************************
* File Name: BRAKE.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BRAKE_H) /* Pins BRAKE_H */
#define CY_PINS_BRAKE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "BRAKE_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    BRAKE_Write(uint8 value) ;
void    BRAKE_SetDriveMode(uint8 mode) ;
uint8   BRAKE_ReadDataReg(void) ;
uint8   BRAKE_Read(void) ;
uint8   BRAKE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define BRAKE_DRIVE_MODE_BITS        (3)
#define BRAKE_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - BRAKE_DRIVE_MODE_BITS))

#define BRAKE_DM_ALG_HIZ         (0x00u)
#define BRAKE_DM_DIG_HIZ         (0x01u)
#define BRAKE_DM_RES_UP          (0x02u)
#define BRAKE_DM_RES_DWN         (0x03u)
#define BRAKE_DM_OD_LO           (0x04u)
#define BRAKE_DM_OD_HI           (0x05u)
#define BRAKE_DM_STRONG          (0x06u)
#define BRAKE_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define BRAKE_MASK               BRAKE__MASK
#define BRAKE_SHIFT              BRAKE__SHIFT
#define BRAKE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BRAKE_PS                     (* (reg32 *) BRAKE__PS)
/* Port Configuration */
#define BRAKE_PC                     (* (reg32 *) BRAKE__PC)
/* Data Register */
#define BRAKE_DR                     (* (reg32 *) BRAKE__DR)
/* Input Buffer Disable Override */
#define BRAKE_INP_DIS                (* (reg32 *) BRAKE__PC2)


#if defined(BRAKE__INTSTAT)  /* Interrupt Registers */

    #define BRAKE_INTSTAT                (* (reg32 *) BRAKE__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define BRAKE_DRIVE_MODE_SHIFT       (0x00u)
#define BRAKE_DRIVE_MODE_MASK        (0x07u << BRAKE_DRIVE_MODE_SHIFT)


#endif /* End Pins BRAKE_H */


/* [] END OF FILE */
