/*******************************************************************************
* File Name: Sensor.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Sensor_H) /* Pins Sensor_H */
#define CY_PINS_Sensor_H

#include "cytypes.h"
#include "cyfitter.h"
#include "Sensor_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Sensor_Write(uint8 value) ;
void    Sensor_SetDriveMode(uint8 mode) ;
uint8   Sensor_ReadDataReg(void) ;
uint8   Sensor_Read(void) ;
uint8   Sensor_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Sensor_DRIVE_MODE_BITS        (3)
#define Sensor_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - Sensor_DRIVE_MODE_BITS))

#define Sensor_DM_ALG_HIZ         (0x00u)
#define Sensor_DM_DIG_HIZ         (0x01u)
#define Sensor_DM_RES_UP          (0x02u)
#define Sensor_DM_RES_DWN         (0x03u)
#define Sensor_DM_OD_LO           (0x04u)
#define Sensor_DM_OD_HI           (0x05u)
#define Sensor_DM_STRONG          (0x06u)
#define Sensor_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define Sensor_MASK               Sensor__MASK
#define Sensor_SHIFT              Sensor__SHIFT
#define Sensor_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Sensor_PS                     (* (reg32 *) Sensor__PS)
/* Port Configuration */
#define Sensor_PC                     (* (reg32 *) Sensor__PC)
/* Data Register */
#define Sensor_DR                     (* (reg32 *) Sensor__DR)
/* Input Buffer Disable Override */
#define Sensor_INP_DIS                (* (reg32 *) Sensor__PC2)


#if defined(Sensor__INTSTAT)  /* Interrupt Registers */

    #define Sensor_INTSTAT                (* (reg32 *) Sensor__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define Sensor_DRIVE_MODE_SHIFT       (0x00u)
#define Sensor_DRIVE_MODE_MASK        (0x07u << Sensor_DRIVE_MODE_SHIFT)


#endif /* End Pins Sensor_H */


/* [] END OF FILE */
